
$(document).ready(function(){
    //loading
    $('#loadingContainer').ajaxStart(function(){
	    $(this).show();
	    $('#loadingbackground').show().css({"opacity": "0.5"});
	}).ajaxStop(function(){
	    $(this).hide();
	});
	
	settab();
    
    setInterval(function(){
        if(getQueryStringRegExp('from') != 'list'){
            $('div.save').css('top',$(window.parent.frames.right).height()-$('div.save').height()); //设置底部分页区域的位置
            $('div.sub_container_content').css('height',$(window.parent.frames.right).height()-$('div.save').height()-$(".sub_container_title").height()-20); //设置内容区域的高度
        }else{//从列表页面链接过来修改
            var windowHeight = $('#frmHeight',window.parent.document).val();
            $('div.save').css('top',windowHeight-$('div.save').height()); //设置底部分页区域的位置
            $('div.sub_container_content').css('height',windowHeight-$('div.save').height()-$(".sub_container_title").height()-25); //设置内容区域的高度
        }
    },100);
    
    //取消修改
    $('#btnBack').click(function(){
        if(getQueryStringRegExp('from') == 'list'){
            $('#frmModify',window.parent.document).hide().siblings(':not("#loadingContainer")').show();
        }
    });
    
	
});//end ready

//tab
function settab(){
    var items = $('li.menuitem').length;
    $('li.menuitem').each(function(index){
        $(this).click(function(){
            $(this).addClass('tabon').removeClass('tabout').siblings('.menuitem').removeClass('tabon').addClass('tabout');
            if(index != 0){
                $('div.tab').hide();
                $('div.tab').eq(index - 1).show();
            }else{
                $('div.tab').show();
            }
        });
    });
}

//获取URL中参数
function getQueryStringRegExp(name){    
	var reg = new RegExp("(^|\\?|&)"+ name +"=([^&]*)(\\s|&|$)", "i");
	if (reg.test(location.href))
		return unescape(RegExp.$2.replace(/\+/g, " "));
		return "";
}

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    }
    return result;
}